function IsRedundancySet(Element)
{
	return Element.__CLASS=="HP_WinEthRedundancySet";
}

function IsEthPort(Element)
{

	return (Element.__CLASS=="HP_WinEthernetPort");
}

function IsLanEndpoint(Element)
{

	return (Element.__CLASS=="HP_WinEthLANEndpoint");
}

function isObject(objectID)
{
	try 
	{
		var test = eval(objectID);
	}
	catch(e) 
	{
		return false;
	}
	if(typeof(test)=='object') return true;
	return false;
}

function GetLanInterfaces(Element)
{
	var arrayAss = new Array();
	var index2=0,x=0;
	if(IsEthPort(Element))
	{
		if(isObject("HP_WinEthPortToLANEndpoint[0]"))
		{
			for (j = 0; j < HP_WinEthPortToLANEndpoint.length; j++)
			{
				if (HP_WinEthPortToLANEndpoint[j].Antecedent.search(Element.DeviceID) != -1)
				{
					for (k = 0; k < HP_WinEthLANEndpoint.length; k++)
					{
						if (HP_WinEthPortToLANEndpoint[j].Dependent.search(HP_WinEthLANEndpoint[k].Name) != -1)
						{
							arrayAss[x] = HP_WinEthLANEndpoint[k];
							x++;
						}
					}
				}
			}	
		}		
	}
	
	if(IsRedundancySet(Element))
	{
		if(isObject("HP_WinEthRedundancySetToLANEndpoint[0]"))
		{
			for (j = 0; j < HP_WinEthRedundancySetToLANEndpoint.length; j++)
			{
				if (HP_WinEthRedundancySetToLANEndpoint[j].Antecedent.search(Element.InstanceID) != -1)
				{
					for (k = 0; k < HP_WinEthLANEndpoint.length; k++)
					{
						if (HP_WinEthRedundancySetToLANEndpoint[j].Dependent.search(HP_WinEthLANEndpoint[k].Name) != -1)
						{
							arrayAss[x] = HP_WinEthLANEndpoint[k];
							x++;
						}
					}
				}
			}		
		}
	}
	return arrayAss;
}

function Getstats(Element)
{
	var arrayAss1 = new Array();
	var x=0;
	if(IsEthPort(Element))
	{
	    for (j = 0; j < HP_WinEthPortToStats.length; j++)
		{
		  if (HP_WinEthPortToStats[j].ManagedElement.search(Element.DeviceID) != -1)
			{
			  for (k = 0; k < HP_WinEthernetPortStatistics.length; k++)
				{
				  if (HP_WinEthPortToStats[j].Stats.search(HP_WinEthernetPortStatistics[k].InstanceID) != -1)
					{
					    arrayAss1[x] = HP_WinEthernetPortStatistics[k];
					    x++;
					 }
				}
			}
		}		
	}
	
	if(IsLanEndpoint(Element))
	{
	 for (j = 0; j < HP_WinEthLANEndpointToStats.length; j++)
		{
		  if (HP_WinEthLANEndpointToStats[j].ManagedElement.search(Element.Name) != -1)
			{
			  for (k = 0; k < HP_WinEthernetPortStatistics.length; k++)
				{
				  if (HP_WinEthLANEndpointToStats[j].Stats.search(HP_WinEthernetPortStatistics[k].InstanceID) != -1)
					{
					    arrayAss1[x] = HP_WinEthernetPortStatistics[k];
					    x++;
					 }
				}
			}
		}	
	}
	return arrayAss1;
}

function GetTeamInstance(Element)
{
	var arrayAss2 = new Array();
	var index1,x=0;
	
	 for (j = 0; j < HP_WinEthRedundancyMember.length; j++)
		{
		  if(HP_WinEthRedundancyMember[j].Member.search(Element.DeviceID)!= -1)
			{
			  for (k = 0; k < HP_WinEthRedundancySet.length; k++)
				{
				  if (HP_WinEthRedundancyMember[j].Collection.search(HP_WinEthRedundancySet[k].InstanceID) != -1)
					{
					    arrayAss2[x] = HP_WinEthRedundancySet[k];
					    x++;
					 }
				}
			}
		}	
	return arrayAss2;
}

function GetTeamMembership(Element)
{
	
	var arrayAss3 = new Array();
	var x=0;
	for(j=0;j<HP_WinEthRedundancyMember.length;j++)
	{
		if(IsEthPort(Element))
		{
		  if(HP_WinEthRedundancyMember[j].Member.search(Element.DeviceID)!= -1)
			{
			  for (k = 0; k < HP_WinEthRedundancySet.length; k++)
				{
				  if (HP_WinEthRedundancyMember[j].Collection.search(HP_WinEthRedundancySet[k].InstanceID) != -1)
					{
					    arrayAss3[x] = HP_WinEthRedundancyMember[j];
					    x++;
					 }
				}
			}
		}
		if(IsRedundancySet(Element))
		{
		  if(HP_WinEthRedundancyMember[j].Member.search(Element.InstanceID)!= -1)
			{
			  for (k = 0; k < HP_WinEthRedundancySet.length; k++)
				{
				  if (HP_WinEthRedundancyMember[j].Collection.search(HP_WinEthRedundancySet[k].InstanceID) != -1)
					{
					    arrayAss3[x] = HP_WinEthRedundancyMember[j];
					    x++;
					 }
				}
			}
		}
	}
	return arrayAss3;
}
function  GetIPInterfaces(Element)
{
	var arrayAss4 = new Array();
	var x=0;
	 for (j = 0; j < HP_WinIPBindsToEthLANEndpoint.length; j++)
		{
		  if(HP_WinIPBindsToEthLANEndpoint[j].Antecedent.search(Element.Name)!= -1)
			{
			  for (k = 0; k < HP_WinEthIPProtocolEndpoint.length; k++)
				{
				  if (HP_WinIPBindsToEthLANEndpoint[j].Dependent.search(HP_WinEthIPProtocolEndpoint[k].Name) != -1)
					{
					    arrayAss4[x] = HP_WinEthIPProtocolEndpoint[k];
					    x++;
					 }
				}
			}
		}	
	return arrayAss4;
}
function GetTeamMembers(Element)
{
    var arrayAss5 = new Array();
	var x=0;
	 for (j = 0; j < HP_WinEthRedundancyMember.length; j++)
		{
		  if(HP_WinEthRedundancyMember[j].Collection.search(Element.InstanceID)!= -1)
			{
			  for (k = 0; k < HP_WinEthernetPort.length; k++)
				{
				  if (HP_WinEthRedundancyMember[j].Member.search(HP_WinEthernetPort[k].DeviceID) != -1)
					{
					    arrayAss5[x] = HP_WinEthernetPort[k];
					    x++;
					 }
				}
			}
		}	
	return arrayAss5;
}
function SpeedString(speed)
{
	var i;
	var units = new Array("", "k", "M", "G", "T");
	for(i = 0; parseFloat(speed) >= 1000 && i < units.length; i++)
	{
		speed = parseFloat(speed)/1000.0;
	}
	return speed + units[i] + "bps";
}
