// (C) 1998-2002 Compaq Information Technologies Group, L.P.
// Copyright 2003-2004 by Hewlett-Packard Development Company, L.P.

enumerat = new Array;   // top level array of arrays to contain enumerations
postfix = new Array;    // top level array of arrays to contain postfixes for values

// itemName is the mib item name and needs to be a leaf name, itemValue is the value
function displayItem( itemName, itemValue )
{
    if( null == itemName )
    {
        // name isn't defined, this is an error
        rc = "TEMPLATE ERROR";
    }
    else if( null == itemValue || ""==itemValue || "NULL" == itemValue || -1==parseInt(itemValue)
      || 4294967295==parseInt(itemValue)  || "4294967295"==itemValue )
    {
        // value isn't defined fill in with N/A
        rc = "N/A";
    }
    else if( null != enumerat[itemName] )
    {
        // this puppy is an enumeration, look it up
        if( null != enumerat[itemName][itemValue] )
        {
            rc = enumerat[itemName][itemValue];
        }
        else
        {
            rc = "Unknown enumeration value "+itemValue;
        }
     }
     else
     {
        // this guy is not an enumeration, display as-is plus postfix if needed
        rc = itemValue;

        if( null!=postfix[itemName] )
        {
            rc += " "+postfix[itemName];
        }
     }

     return rc;
}


function displayCapacity(itemValue)
{
   if (null == itemValue || "" == itemValue || "NULL" == itemValue ||
       -1 == parseInt(itemValue) || 4294967295 == parseInt(itemValue) ||
       "4294967295" == itemValue)
   {
      rc = "N/A";
   }
   else
   {
	   var size = parseInt(itemValue, 10);
	   if (!isNaN(size) && size > 0)
	   {
			if(size < 1024)
		      rc = size + " MB";
			else if(size < 1048576)
		      rc =  Math.round((size / 1024) * 100) / 100  + " GB";
			else
		      rc = Math.round((size / 1048576) * 100) / 100 + " TB";
	   }
	   else
            rc = "N/A";
   }
   return rc;
}
